<!DOCTYPE html>
<html ps-paginate="" ps-plugins="sc-scale-to-fit" ps-log-level="debug">
<head>
	<meta charset="utf-8">
	<title>sc-scale-to-fit-000</title>
	<script id="ps-options" type="application/json">
		{
			"plugins": [
				[
					"sc-scale-to-fit",
					{
						"allowExpandBeforeBreak": true
					}
				]
			]
		}
	</script>
	<style>
		@page {
			margin: 1cm;
			size: A5 landscape;
			--psp-sc-stf-min-blank-height: 0cm;
			background-color: lightblue;
		}

		body {
			background-color: white;
		}

		p {
			break-before: always;
		}

		.scale {
			display: block;
			border: solid 1cm black;
		}

		.shrink {
			width: 16cm;
			height: 16cm;
			--psp-sc-stf-max-shrink: 0.5;
		}

		.expand {
			width: 4cm;
			height: 4cm;
			--psp-sc-stf-max-expand: 2;
		}
	</style>
</head>
<body>
<p>The next image must be on the same page.</p>
<img class="scale shrink" src="data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 10 10'%3E%3Ccircle cx='5' cy='5' r='5' fill='green' /%3E%3C/svg%3E"/>
<p>The next image must fill the page height.</p>
<img class="scale expand" src="data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 10 10'%3E%3Ccircle cx='5' cy='5' r='5' fill='green' /%3E%3C/svg%3E"/>
</body>
</html>

